Bug 431163 - sysctl dev.rtc.max-user-freq no longer exists in the kernel
sysctl dev.rtc.max-user-freq no longer exists in the kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 23:24 EST by Charles R. Anderson
Modified: 2009-07-14 13:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:41:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-01-31 23:24:07 EST
Description of problem:

What happened to this sysctl?  It appears that some stuff depends on
this setting, e.g. kqemu.  There is only a hpet.max-user-freq now and
I get this funky permission error on 'sysctl -a':

# /sbin/sysctl -a | grep freq
error: permission denied on key 'kernel.sched_nr_migrate'
dev.hpet.max-user-freq = 64

# /sbin/sysctl -n -q dev.rtc.max-user-freq
error: "dev.rtc.max-user-freq" is an unknown key

Also, there is no more /proc/sys/dev/rtc directory at all.

Is this an artifact using CONFIG_RTC_CLASS/CONFIG_RTC_DRV_CMOS instead of
CONFIG_RTC?  What should applications that were changing this setting do now?

Version-Release number of selected component (if applicable):
2.6.24-9.fc9.x86_64
Comment 1 Chuck Ebbert 2008-02-01 12:36:01 EST
/sys/class/rtc/rtc0/max-user-freq
Comment 2 Charles R. Anderson 2008-02-01 13:53:03 EST
Ok, so the API changed.  Will the 'sysctl' command be updated to search for
sysctls under /sys/class now?  I think the wiser move is to make sure the new
rtc driver exports the same sysctls under /proc/sys that the old one did.
Comment 3 Bug Zapper 2008-05-14 00:57:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:28:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:41:40 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.